[fdo-commits] r2641 - trunk
svn_fdo at osgeo.org
svn_fdo at osgeo.org
Mon Mar 5 14:42:51 EST 2007
Author: gregboone
Date: 2007-03-05 14:42:51 -0500 (Mon, 05 Mar 2007)
New Revision: 2641
Modified:
trunk/build_thirdparty.sh
Log:
Ticket #5: Update FDO Thirdparty to latest GDAL
Modified: trunk/build_thirdparty.sh
===================================================================
--- trunk/build_thirdparty.sh 2007-03-04 20:57:44 UTC (rev 2640)
+++ trunk/build_thirdparty.sh 2007-03-05 19:42:51 UTC (rev 2641)
@@ -20,6 +20,14 @@
TYPEACTION=buildinstall
TYPECONFIGURE=configure
+DEFMODIFY=no
+ALLENABLE=yes
+FDOENABLE=no
+SDFENABLE=no
+WFSENABLE=no
+WMSENABLE=no
+GDALENABLE=no
+
### study parameters ###
while test $# -gt 0
do
@@ -37,7 +45,7 @@
TYPECONFIGURE=noconfigure
else
echo "$arg Invalid parameter $1"
- exit 1
+ exit 1
fi
shift
;;
@@ -54,10 +62,46 @@
TYPEACTION=clean
else
echo "$arg Invalid parameter $1"
- exit 1
+ exit 1
fi
shift
;;
+ -w | --w | --with)
+ if test "$DEFMODIFY" == no; then
+ DEFMODIFY=yes
+ ALLENABLE=no
+ FDOENABLE=no
+ SDFENABLE=no
+ WFSENABLE=no
+ WMSENABLE=no
+ GDALENABLE=no
+ fi
+ if test -z "$1"; then
+ echo "$arg Invalid parameter $1"
+ exit 1
+ elif test "$1" == all; then
+ ALLENABLE=yes
+ FDOENABLE=no
+ SDFENABLE=no
+ WFSENABLE=no
+ WMSENABLE=no
+ GDALENABLE=no
+ elif test "$1" == fdo; then
+ FDOENABLE=yes
+ elif test "$1" == sdf; then
+ SDFENABLE=yes
+ elif test "$1" == wfs; then
+ WFSENABLE=yes
+ elif test "$1" == wms; then
+ WMSENABLE=yes
+ elif test "$1" == gdal; then
+ GDALENABLE=yes
+ else
+ echo "$arg Invalid parameter $1"
+ exit 1
+ fi
+ shift
+ ;;
-*)
echo "The command option is not recognized: $arg"
echo "Please use the format:"
@@ -77,13 +121,26 @@
if test "$SHOWHELP" == yes; then
- echo "************************************************************************************************************"
- echo "build_thirdparty.sh [--h] [--a Action] [--m ConfigMakefiles]"
- echo "*"
+ echo "*******************************************************************"
+ echo "build_thirdparty.sh [--h]"
+ echo " [--a Action]"
+ echo " [--w WithModule]"
+ echo " [--m ConfigMakefiles]"
+ echo " "
echo "Help: --h[elp]"
- echo "Action: --a[ction] buildinstall(default), build, install, uninstall, clean"
+ echo "Action: --a[ction] buildinstall(default), "
+ echo " build,"
+ echo " install,"
+ echo " uninstall,"
+ echo " clean"
+ echo "WithModule: --w[ith] all(default),"
+ echo " fdo,"
+ echo " sdf,"
+ echo " wms,"
+ echo " wfs,"
+ echo " gdal"
echo "ConfigMakefiles: --m[akefile] configure(default), noconfigure"
- echo "************************************************************************************************************"
+ echo "*******************************************************************"
exit 0
fi
@@ -105,17 +162,26 @@
pushd "Thirdparty" >& /dev/null
if test "$TYPEACTION" == clean ; then
- make clean
+ make clean
+elif test "$TYPEACTION" == buildinstall || test "$TYPEACTION" == build ; then
+ if test "$ALLENABLE" == yes ; then
+ ./Thirdparty.sh
+ elif test "$FDOENABLE" == yes ; then
+ ./Thirdparty_fdo.sh
+ elif test "$SDFENABLE" == yes ; then
+ ./Thirdparty_sdf.sh
+ elif test "$WMSENABLE" == yes ; then
+ ./Thirdparty_wms.sh
+ elif test "$WFSENABLE" == yes ; then
+ ./Thirdparty_wfs.sh
+ elif test "$GDALENABLE" == yes ; then
+ ./Thirdparty_gdal.sh
+ fi
+elif test "$TYPEACTION" == buildinstall || test "$TYPEACTION" == install ; then
+ make install
+elif test "$TYPEACTION" == uninstall ; then
+ make uninstall
fi
-if test "$TYPEACTION" == buildinstall || test "$TYPEACTION" == build ; then
- ./Thirdparty.sh
-fi
-if test "$TYPEACTION" == buildinstall || test "$TYPEACTION" == install ; then
- make install
-fi
-if test "$TYPEACTION" == uninstall ; then
- make uninstall
-fi
popd >& /dev/null
More information about the fdo-commits
mailing list